/*
 * Functions to be used by implementations, plus typedef.
 */
#ifndef TEST_DINING_PHILOSOPHERS_H
#define TEST_DINING_PHILOSOPHERS_H

typedef enum { thinking, hungry, eating } pstate_t;

void simulate_eating(const int philosopherID);

int left(const int philosopherID);
int right(const int philosopherID);

void print_states(const char *msg, const pstate_t states[5]);

#endif /* TEST_DINING_PHILOSOPHERS_H */
