/*
 * Functions needed for particular implementation (varies
 * depending on what synchronization mechanism is to be used).
 */
#ifndef DINING_PHILOSOPHERS_H
#define DINING_PHILOSOPHERS_H

/* initialize for synchronization */
void init_synch(void);

/* clean up at end of program */
void end_synch(void);

/*
 * simulate eating (with needed synchronization)
 */
void simulate_eating_with_synch(const int philosopherID);

#endif /* DINING_PHILOSOPHERS_H */
